Bug 483265 - totem-youtube needs python bindings for gconf
totem-youtube needs python bindings for gconf
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: totem (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-30 11:32 EST by Oliver Henshaw
Modified: 2009-05-20 20:01 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.24.3-3.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-20 20:01:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Oliver Henshaw 2009-01-30 11:32:39 EST
Description of problem:

Installing totem-youtube then selecting the plugin in totem fails. .xsession-errors reports:

** (totem:5737): WARNING **: Failed to create dbus proxy for org.gnome.SettingsDaemon: Could not get
 owner of name 'org.gnome.SettingsDaemon': no such name
** (totem:5737): DEBUG: Init of Python module
Traceback (most recent call last):
  File "/usr/lib/totem/plugins/youtube/youtube.py", line 2, in <module>
    import gobject, gtk, gconf
ImportError: No module named gconf

** (totem:5737): WARNING **: Could not load plugin youtube


** (totem:5737)
: WARNING **: Error, impossible to activate plugin 'YouTube browser'


Installing gnome-python2-gconf appears to solve this, youtube plugin loads successfully and no such messages occur in .xsession-errors.


Version-Release number of selected component (if applicable):
GConf2-2.24.0-1.fc10.i386
totem-2.24.3-1.fc10.i386
totem-youtube-2.24.3-1.fc10.i386
Comment 1 Fedora Update System 2009-04-23 12:38:13 EDT
totem-2.24.3-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/totem-2.24.3-3.fc10
Comment 2 Fedora Update System 2009-04-27 17:37:07 EDT
totem-2.24.3-3.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update totem'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-4028
Comment 3 Fedora Update System 2009-05-20 20:01:12 EDT
totem-2.24.3-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.